Summary:	xkbfile library - XKB file handling routines
Summary(pl.UTF-8):	Biblioteka xkbfile - funkcje do obsługi plików XKB
Name:		xorg-lib-libxkbfile
Version:	1.1.0
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libxkbfile-%{version}.tar.bz2
# Source0-md5:	dd7e1e946def674e78c0efbc5c7d5b3b
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	xkbfile
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libxkbfile library is used by the X servers and utilities to parse the
XKB configuration data files.

%description -l pl.UTF-8
Biblioteka libxkbfile jest wykorzystywana przez serwery i narzędzia X
do analizy plików danych konfiguracyjnych XKB.

%package devel
Summary:	Header files for libxkbfile library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libxkbfile
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Obsoletes:	xkbfile-devel

%description devel
This package contains the header files needed to develop programs that
use libxkbfile.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libxkbfile.

%package static
Summary:	Static libxkbfile library
Summary(pl.UTF-8):	Biblioteka statyczna libxkbfile
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static libxkbfile library.

%description static -l pl.UTF-8
Pakiet zawiera statyczną bibliotekę libxkbfile.

%prep
%setup -q -n libxkbfile-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libxkbfile.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libxkbfile.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxkbfile.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libxkbfile.so
%{_includedir}/X11/extensions/XKB*.h
%{_includedir}/X11/extensions/XKM*.h
%{_pkgconfigdir}/xkbfile.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxkbfile.a
%changelog
* Sat Jun 01 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libxkbfile.git;a=log;h=master

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 623a5c5
- updated to 1.1.0

* Wed May 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 1a6adaf
- updated to 1.0.9

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> f0e2e20
- x32 rebuild
- release 2 (by relup.sh)

* Fri Mar 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 267ff05
- updated to 1.0.8

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> 8238889
- removed unused *.la files

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> cf5063a
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> dbec65f
- updated to 1.0.7

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> bcea8aa
- rebuild
- rel 2

* Wed Oct 07 2009 Jakub Bogusz <qboosh@pld-linux.org> d23cc4c
- util-macros version
- added README to doc

* Wed Oct 07 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 33d857f
- up to 1.0.6

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0bf20f2
- release 2

* Thu Mar 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 34271c7
- ghost soname symlink
- BR: kbproto (directly, regardless of libX11 deps)

* Tue Mar 18 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c6bf361
- up to 1.0.5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 20737a6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8031798
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d0ec169
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> fe2faea
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 31fa0ec
- updated to 1.0.4

* Sun May 14 2006 Jakub Bogusz <qboosh@pld-linux.org> f610274
- Obsoletes for xkbfile*

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 8eaeb2d
- up to 1.0.3

